@echo off

:CHECKS
rem  Check if the user has input the two command line parameters.
if %2x==x goto USAGE

rem  Check if the 1-2-3 program directory contains the main DDF file.
if not exist %1install.ddf goto ERROR1

rem  Check if the driver distribution disk contains the driver DDF portion.
if not exist %2ep*.ddf goto ERROR2

cls
echo Ŀ
echo                                                                            
echo                   Neue Druckertreiber Installation                         
echo                       1-2-3 Version 3.0  (tm)                              
echo                             Version 3.1  (tm)                              
echo                             Version 3.1+ (tm)                              
echo                             Version 3.4  (tm)                              
echo                                                                            
echo     Dieses Programm installiert die neuen Druckertreiber so, da Sie       
echo     anschlieend die Treiber mit dem Installationsprogramm von 1-2-3       
echo     anwhlen knnen.                                                       
echo                                                                            
echo     Ihre originale INSTALL.DDF Datei wird in INSTALL.BAK gesichert.        
echo                                                                            
echo                                                                            
echo 
echo
echo
echo
echo
echo
echo
pause
cls 

:DDFAPPEND
if exist %1install.bak goto bak
if not exist %2ep*.ddf goto error2
copy %1install.ddf %1install.bak
if errorlevel 1 goto ERROR3
copy %1install.ddf+%2ep*.ddf %1install.ddf
if errorlevel 1 goto ERROR4
 
:COPYDLD
if "%1"=="%2" goto OKEXIT
if not exist %2*.dl? goto COPYPBD
copy %2*.dl? %1*.*
if errorlevel 1 goto ERROR4

:COPYPBD
if not exist %2*.pbd goto COPYLRF
copy %2*.pbd %1*.*
if errorlevel 1 goto ERROR4

:COPYLRF
if not exist %2*.lrf goto OKEXIT
copy %2*.lrf %1*.*
if errorlevel 1 goto ERROR4
goto OKEXIT

:USAGE
cls
echo Ŀ
echo                                                                            
echo   Um eine Installation mit diesem Programm durchfhren zu knnen,          
echo   men Sie folgendes eingeben:                                            
echo                                                                            
echo          instdrv %%1 %%2                                                     
echo                                                                            
echo   %%1 gibt den Laufwerksnamen und den vollen Pfadnamen Ihrer 1-2-3 Version  
echo   3.x an. %%2 gibt den Pfadnamen an, in dem die zu installierenden Dateien  
echo   stehen.                                                                  
echo                                                                            
echo   Wenn Sie das Programm ESS zum kopieren der Treiber verwendet haben, hier 
echo   ein Beispiel den neuen Druckertreiber zu installieren :                  
echo         instdrv C:\123V31\ c:\123V31\                                      
echo   oder, wenn Sie sich auf der Festplatte in dem Unterverzeichnis von 1-2-3 
echo   befinden einfach                                                         
echo         instdrv c: c:  eingeben                                            
echo                                                                            
echo   SIE KNNEN IN 1-2-3 NUR DEN TREIBER ANWHLEN, DEN SIE AUCH INSTALLIERT   
echo   HABEN !                                                                  
echo                                                                            
echo 
echo     
pause
goto ERROREXIT
 
:ERROR1
rem cls
echo Ŀ
echo                                                                            
echo     INSTALLATIONS Fehler                                                   
echo                                                                            
echo       Das angegebene Verzeichnis %%1 enthlt nicht die Datei INSTALL.DDF !  
echo                                                                            
echo                                                                            
echo 
echo     
echo     
goto ERROREXIT

:ERROR2
rem cls
echo Ŀ
echo                                                                            
echo     INSTALLATIONS Fehler                                                   
echo                                                                            
echo       Das angegebene Verzeichnis %%2 enthlt nicht die neuen                
echo       Druckertreiber !                                                     
echo                                                                            
echo                                                                            
echo 
echo     
echo     
goto ERROREXIT

:ERROR3
rem cls
echo Ŀ
echo                                                                            
echo     INSTALLATIONS Fehler                                                   
echo                                                                            
echo       Kann die Datei Install.ddf nicht in Install.bak sichern, da          
echo       entweder die Datei INSTALL.BAK schon existiert oder ein anderer      
echo       Fehler vorliegt !                                                    
echo                                                                            
echo 
echo     
echo
goto ERROREXIT

:bak
cls
echo Ŀ
echo                                                                            
echo     INSTALLATIONS Fehler                                                   
echo                                                                            
echo       Die Datei Install.ddf kann nicht in Install.bak gesichert werden, da 
echo       die Datei INSTALL.BAK schon existiert!                               
echo       Wenn Sie schon einmal Treiber von uns fr dieses Programm installiert
echo       haben, knnen jetzt sofort das Installationsprogramm von 1-2-3       
echo       starten. Wenn Ihre Druckerklasse oder der bentigte Treiber nicht im 
echo       Installationsmen erscheint, stellen Sie bitte den original Zustand  
echo       wieder her, indem Sie die Datei INSTALL.BAK ber die Datei           
echo       INSTALL.DDF kopieren und anschlieend die Datei INSTALL.BAK lschen  
echo                                                                            
echo       Danach starten Sie bitte erneut dieses Programm.                     
echo                                                                            
echo 
echo     
echo
goto errorexit

:ERROR4
rem cls
echo Ŀ
echo                                                                            
echo     INSTALLATIONS Fehler                                                   
echo                                                                            
echo       Ein Kopierfehler ist aufgetreten. Die alte Datei INSTALL.DDF         
echo       wird wieder hergestellt !                                            
echo                                                                            
echo                                                                            
echo 
echo     
echo
copy %1install.bak %1install.ddf
if not errorlevel 1 goto ok
echo Ŀ
echo                                                                            
echo     INSTALLATIONS Fehler                                                   
echo                                                                            
echo       Kann die Datei INSTALL.DDF nicht wieder herstellen !                 
echo                                                                            
echo                                                                            
echo                                                                            
echo 
echo     
echo
goto errorexit
:ok
del %1install.bak
goto ERROREXIT
 
:OKEXIT
cls
echo Ŀ
echo                                                                            
echo   INSTALLATION VOLLSTNDIG                                                 
echo                                                                            
echo     Whlen Sie im 1-2-3 Installationsprogramm GEWHLTE AUSRSTUNG          
echo     NDERN und anschlieend AKTUELLE .DCF DATEI NDERN an und              
echo     installieren Sie die neuen Druckertreiber. Es besteht die Mglichkeit, 
echo     da Sie auch die original 1-2-3 Disketten bentigen.                   
echo                                                                            
echo                                                                            
echo  SIE KNNEN IN 1-2-3 NUR DEN TREIBER ANWHLEN, DEN SIE AUCH INSTALLIERT    
echo  HABEN !                                                                   
echo                                                                            
echo 
echo     
echo     

:ERROREXIT
rem  End of Batch Program
